<?php
/**
 * Template part for displaying site header
 *
 * @package errigal
 * @since 1.0.0
 */

defined( 'ABSPATH' ) || exit;

use Errigal\Constant\{
	Errigal_Header_Hook as Header_Hook,
	Errigal_Html_Attr as Html_Attr,
	Errigal_Html_Option as Html_Option,
};
use Errigal\Header\Errigal_Header as Header;
use Errigal\Shared\Errigal_Html_Builder as Html_Builder;

Html_Builder::create()->create_header(
	array(
		Html_Option::ATTRS => array(
			Html_Attr::ID         => 'header',
			Html_Attr::CLASS_NAME => Header::get_site_header_classes(),
		),
	)
)->render_element(
	function () {
		do_action( Header_Hook::BEFORE_SITE_HEADER_CONTENT );
		get_template_part( 'template-parts/component/header/site-header/content' );
	}
);
